API ReferenceapimembershipGET /v1/memberships/{user_id}/conversion-eligibility

GET /v1/memberships/\{user_id\}/conversion-eligibility

Service: membership · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • user_id (string) required

Responses

200 Conversion eligibility result

{
  "type": "object",
  "properties": {
    "user_id": {
      "type": "string"
    },
    "eligible": {
      "type": "boolean"
    },
    "pending_locks": {
      "type": "number"
    },
    "locks": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "lock_id": {
            "type": "string"
          },
          "subscription_id": {
            "type": "string"
          },
          "status": {
            "type": "string"
          },
          "locked_at": {
            "type": "string"
          },
          "expires_at": {
            "type": "string"
          }
        },
        "required": [
          "lock_id",
          "subscription_id",
          "status",
          "locked_at",
          "expires_at"
        ]
      }
    }
  },
  "required": [
    "user_id",
    "eligible",
    "pending_locks",
    "locks"
  ]
}

Example

curl -X GET https://membership.platform.loop.health/v1/memberships/{user_id}/conversion-eligibility \
  -H "Authorization: Bearer $ACCESS_TOKEN"